<?php include_once("../lib/control.seguridad.php"); ?>
<?php

	$boton = "<button type='button' class='btn btn-info btn-sm' id='btnEnviar' name='btnEnviar'>INGRESAR</button>";
	
	$id = 0;
	$descripcion = "";
	$id_empresa = 1;

    
	if($_POST){
        
		$hide = "";
		$url = 'http://200.24.13.60/~program1/power-time-api/public/obtenersucursal';
		$ch = curl_init($url); //create a new cURL resource
		$payload = json_encode(array('id' => $_POST["txtId"]));
		curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);//attach encoded JSON string to the POST fields
		curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
		$result = curl_exec($ch); //execute the POST request
        $array = json_decode($result);


		$id = $array[0]->id;
		$descripcion = $array[0]->descripcion;	
		$id_empresa = $array[0]->id_empresa;		
		
		curl_close($ch); 


		$boton = "<button type='button' class='btn btn-info btn-sm' id='btnEditar' name='btnEditar'>EDITAR</button>";
	}

?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>POWERTIME</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../dist/css/adminlte.min.css">
  <!-- JQUERY TIMEPICKER -->  
  <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/timepicker/1.3.5/jquery.timepicker.min.css">
  
  <link href="../plugins/toastr/build/toastr.css" rel="stylesheet" type="text/css" />
  <style>
  #example{
	  font-size:11px;
  }
  </style>   
</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
 
  <?php include_once("../inc/header.php"); ?>

  <?php include_once("../inc/menu.php"); ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>&Aacute;rea</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content" id="app">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-6">
            <div class="card">
				<div class="card-header">
					<h3 class="card-title">Formulario &Aacute;rea</h3>
				</div>
				<div class="card-body">
				  <div class="form-group">
					<label>Nombre / Descripci&oacute;n :</label>
					<input type="text" class="form-control control-text" id="txtDescripcion" value="<?php echo $descripcion ?>">
					<small class="form-text text-muted">Nombre de &Aacute;rea.</small>
				  </div>
				  <div class="form-group">
					<label>Empresa :</label>
					<select class="form-control" id="txtEmpresa" disabled>
					</select>
				  </div>					  
				</div>
				<div class="card-footer">
				    <input type="hidden" class="form-control control-text" id="txtId" value="<?php echo $id ?>" readonly>
					<?php echo $boton; ?>
					<button type="button" class="btn btn-default float-right" id="btnLimpiar">Limpiar</button>
				</div>
            </div>
          </div>		  
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  
  <?php include_once("../inc/footer.php"); ?>

 
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="../plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- AdminLTE App -->
<script src="../dist/js/adminlte.min.js"></script>
  <!-- JQUERY TIMEPICKER -->  
<script src="//cdnjs.cloudflare.com/ajax/libs/timepicker/1.3.5/jquery.timepicker.min.js"></script>

<script src="../plugins/toastr/toastr.js"></script>

<script>

  $(function () {
	  
	  /*
   $(document).bind("contextmenu",function(e){
      return false;
   });	 
*/
    $('#txtDescripcion').keyup(function(){
        $(this).val($(this).val().toUpperCase());
    });	     
	  
	$('.txt-reloj').timepicker({ 
		timeFormat: 'HH:mm',
		interval: 5,
		minTime: '00:00',
		maxTime: '01:00',
		dynamic: false,
		dropdown: true,
		scrollbar: true		
	});	  

	  /*
	$(".control-text").bind('keypress', function(event) {
	  var regex = new RegExp("^[a-zA-Z ]+$");
	  var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
	  if (!regex.test(key)) {
		event.preventDefault();
		return false;
	  }
	});	 
	
	*/
	combo();
	function combo(){
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "http://200.24.13.60/~program1/power-time-api/public/empresa",		
			success: function(dados)
			{
				for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){
						$('#txtEmpresa').append($('<option>', {
							value: dados[i][j].id,
							text : dados[i][j].descripcion
						}));
					}
				}
				$('#txtEmpresa').val(<?php echo $id_empresa ?>);
			}
		});				
	}
	
	  
	$("#btnEnviar").click(function(){

		if( $("#txtDescripcion").val() == null || $("#txtDescripcion").val().length == 0 || /^\s+$/.test($("#txtDescripcion").val()) ){
			toastr.warning("Debe ingresar nombre de sucursal", "POWERTIME");
            return false;
		}
		else if(parseInt($("#txtEmpresa").val()) == 0){
			toastr.warning("Debe Seleccionar empresa", "POWERTIME");
            return false;
		}			
		else{
			
	 
			$.ajax({
				type:'POST',
				contentType: 'application/json',
				dataType: "json",
				crossDomain: true,
				headers: {
					'Content-Type': 'application/json'
				},
				url: "http://200.24.13.60/~program1/power-time-api/public/ingresarsucursal",
				data : JSON.stringify({
					id:$("#txtId").val(),
					descripcion:$("#txtDescripcion").val(),	
					id_empresa:$("#txtEmpresa").val(),				
				}),
				beforeSend : function()
				{
					//$("#mensajeUsuario").html("<div class='alert alert-info'>Enviando datos</div>");
				},
				success: function(data, textStatus, xhr) {
					if(parseInt(xhr.status) == 201){
						toastr.success("Registro Ingresado Exitosamente", "POWERTIME");
					}
				}
			})
		}

	});

	$("#btnEditar").click(function(){

		if( $("#txtDescripcion").val() == null || $("#txtDescripcion").val().length == 0 || /^\s+$/.test($("#txtDescripcion").val()) ){
			toastr.warning("Debe ingresar nombre de sucursal", "POWERTIME");
            return false;
		}
		else if(parseInt($("#txtEmpresa").val()) == 0){
			toastr.warning("Debe Seleccionar empresa", "POWERTIME");
            return false;
		}	
		else{
			$.ajax({
				type:'POST',
				contentType: 'application/json',
				dataType: "json",
				crossDomain: true,
				headers: {
					'Content-Type': 'application/json'
				},
				url: "http://200.24.13.60/~program1/power-time-api/public/actualizarsucursal",
				data : JSON.stringify({
					id:$("#txtId").val(),
					descripcion:$("#txtDescripcion").val(),		
					id_empresa:$("#txtEmpresa").val(),				
				}),
				beforeSend : function()
				{
					//$("#mensajeUsuario").html("<div class='alert alert-info'>Enviando datos</div>");
				},
				success: function(data, textStatus, xhr) {
					if(parseInt(xhr.status) == 201){
						toastr.success("Registro Ingresado Exitosamente", "POWERTIME");
					}
				}
			})
		}

	});	 

 	$("#btnLimpiar").click(function(){
		limpiarFormulario();
	});
	
	function limpiarFormulario(){
		$("#txtDescripcion").val("");
		$("#txtEmpresa").val(0);
		$("#txtId").val(0);
		$("#txtTolerancia_entrada").val("00:00");
		$("#txtTolerancia_salida").val("00:00");
		$("#txtTolerancia_entrada_desc").val("00:00");
		$("#txtTolerancia_salida_desc").val("00:00");			
	}
	
});	 	
  
</script>

</body>
</html>
